Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class IntCollections

    java.lang.Object
      org.apache.commons.collections.primitives.IntCollections

public final class IntCollections
extends Object

This class consists exclusively of static methods that operate on or return IntCollections.

The methods of this class all throw a NullPointerException if the provided collection is null.

Version:
  $Revision: 1.2 $ $Date: 2003/10/27 23:21:14 $
Author:
  Rodney Waldhoff

Field Summary
`static IntIterator` | `EMPTY_INT_ITERATOR` An unmodifiable, empty IntIterator
`static IntList` | `EMPTY_INT_LIST` An unmodifiable, empty IntList
`static IntListIterator` | `EMPTY_INT_LIST_ITERATOR` An unmodifiable, empty IntListIterator

Constructor Summary
`IntCollections()`

Method Summary
`static IntIterator` | `getEmptyIntIterator()` Returns an unmodifiable, empty IntIterator
`static IntList` | `getEmptyIntList()` Returns an unmodifiable, empty IntList.
`static IntListIterator` | `getEmptyIntListIterator()` Returns an unmodifiable, empty IntListIterator
`static IntIterator` | `singletonIntIterator(int value)` Returns an unmodifiable IntIterator containing only the specified element.
`static IntList` | `singletonIntList(int value)` Returns an unmodifiable IntList containing only the specified element.
`static IntListIterator` | `singletonIntListIterator(int value)` Returns an unmodifiable IntListIterator containing only the specified element.
`static IntIterator` | `unmodifiableIntIterator(IntIterator iter)` Returns an unmodifiable version of the given non-null IntIterator.
`static IntList` | `unmodifiableIntList(IntList list)` Returns an unmodifiable version of the given non-null IntList.
`static IntListIterator` | `unmodifiableIntListIterator(IntListIterator iter)` Returns an unmodifiable version of the given non-null IntListIterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_INT_LIST

    public static final IntList EMPTY_INT_LIST

  An unmodifiable, empty IntList

  See Also:
    `getEmptyIntList()`

### EMPTY_INT_ITERATOR

    public static final IntIterator EMPTY_INT_ITERATOR

  An unmodifiable, empty IntIterator

  See Also:
    `getEmptyIntIterator()`

### EMPTY_INT_LIST_ITERATOR

    public static final IntListIterator EMPTY_INT_LIST_ITERATOR

  An unmodifiable, empty IntListIterator

  See Also:
    `getEmptyIntListIterator()`

Constructor Detail

### IntCollections

    public IntCollections()

Method Detail

### singletonIntList

    public static IntList singletonIntList(int value)

  Returns an unmodifiable IntList containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable IntList containing only the specified element.

### singletonIntIterator

    public static IntIterator singletonIntIterator(int value)

  Returns an unmodifiable IntIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable IntIterator containing only the specified element.

### singletonIntListIterator

    public static IntListIterator singletonIntListIterator(int value)

  Returns an unmodifiable IntListIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable IntListIterator containing only the specified element.

### unmodifiableIntList

    public static IntList unmodifiableIntList(IntList list)
                                       throws NullPointerException

  Returns an unmodifiable version of the given non-null IntList.

  Parameters:
    `list` - the non-null IntList to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null IntList
  Throws:
    `NullPointerException` - if the given IntList is null
  See Also:
    `UnmodifiableIntList.wrap(org.apache.commons.collections.primitives.IntList)`

### unmodifiableIntIterator

    public static IntIterator unmodifiableIntIterator(IntIterator iter)

  Returns an unmodifiable version of the given non-null IntIterator.

  Parameters:
    `iter` - the non-null IntIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null IntIterator
  Throws:
    `NullPointerException` - if the given IntIterator is null
  See Also:
    `UnmodifiableIntIterator.wrap(org.apache.commons.collections.primitives.IntIterator)`

### unmodifiableIntListIterator

    public static IntListIterator unmodifiableIntListIterator(IntListIterator iter)

  Returns an unmodifiable version of the given non-null IntListIterator.

  Parameters:
    `iter` - the non-null IntListIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null IntListIterator
  Throws:
    `NullPointerException` - if the given IntListIterator is null
  See Also:
    `UnmodifiableIntListIterator.wrap(org.apache.commons.collections.primitives.IntListIterator)`

### getEmptyIntList

    public static IntList getEmptyIntList()

  Returns an unmodifiable, empty IntList.

  Returns:
    an unmodifiable, empty IntList.
  See Also:
    `EMPTY_INT_LIST`

### getEmptyIntIterator

    public static IntIterator getEmptyIntIterator()

  Returns an unmodifiable, empty IntIterator

  Returns:
    an unmodifiable, empty IntIterator.
  See Also:
    `EMPTY_INT_ITERATOR`

### getEmptyIntListIterator

    public static IntListIterator getEmptyIntListIterator()

  Returns an unmodifiable, empty IntListIterator

  Returns:
    an unmodifiable, empty IntListIterator.
  See Also:
    `EMPTY_INT_LIST_ITERATOR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.